<?php
namespace App\Model;


class Vendedor extends GenericObject
{
    static $table_name = 'vendedor';

    static $primary_key = 'vdd_codigo';

    public function cargar($data){
        $this->vdd_codigo = $data->id;
        $this->vdd_nombre = $data->nombre;
    }

    public static function toJSON($result)
    {
        if ($result === null) return $result;
        $temp = array();
        if(!isset($result->vdd_codigo)){
            foreach($result as $item){
                $object = array(
                    "id" => $item->vdd_codigo,
                    "nombre" => $item->vdd_nombre,
                    "activo" => !isset($item->vdd_inacti) ? true : ($item->vdd_inacti == 0)
                );
                $temp[] = $object;
            }
        }else{
            $temp = array(
                "id" => $result->vdd_codigo,
                "nombre" => $result->vdd_nombre,
                "activo" => !isset($result->vdd_inacti) ? true : ($result->vdd_inacti == 0)
            );
        }
        return json_encode($temp);
    }
}